import { request } from "@/utils/request";

// 设施查询列表请求
export function baseFacilityType(param) {
    return request({
        url: "/service-iot/baseFacilityType/typeInfo",
        method: "POST",
        data: param,
    });
}

// 设施详情列表接口请求
export function baseGgpFacility(param) {
    return request({
        url: "/service-iot/baseGgpFacility/page",
        method: "POST",
        data: param,
    });
}

// 设施详情接口请求
export function facilityInfo(param) {
    return request({
        url: "/service-iot/baseGgpFacility/facilityInfo",
        method: "GET",
        data: param,
    });
}

// 设施详情关联设备接口请求
export function deviceInfo(param) {
    return request({
        url: "/service-iot/baseGgpFacility/deviceInfo",
        method: "GET",
        data: param,
    });
}

// 设施详情关联建筑接口请求
export function buildInfo(param) {
    return request({
        url: "/service-iot/baseGgpFacility/buildInfo",
        method: "GET",
        data: param,
    });
}


// 设施地图列表查询
export function typeSelect(param) {
    return request({
        url: "/service-iot/baseFacilityType/typeSelect",
        method: "GET",
        data: param,
    });
}

// 设施地图撒点查询
export function baseGgpFacilityList(param) {
    return request({
        url: "/service-iot/baseGgpFacility/baseGgpFacilityList",
        method: "POST",
        data: param,
    });
}
